Imports System.Linq
Imports DevExpress.Xpo
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports System.Drawing

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)>
Public Class ProductsPictures
    Inherits BaseObject

    Private _Products As Products
    Private _Picture As Image
    Private _RowIndex As Integer
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()

    End Sub

    <Association("Products-ProductsPictures", GetType(Products))>
    Property Products As Products
        Get
            Return _Products
        End Get
        Set(value As Products)
            SetPropertyValue("Products", _Products, value)
        End Set
    End Property
    <ValueConverter(GetType(DevExpress.Xpo.Metadata.ImageValueConverter))>
    Property Picture As Image
        Get
            Return _Picture
        End Get
        Set(value As Image)
            SetPropertyValue("Picture", _Picture, value)
        End Set
    End Property
    Property RowIndex As Integer
        Get
            Return _RowIndex
        End Get
        Set(value As Integer)
            SetPropertyValue("RowIndex", _RowIndex, value)
        End Set
    End Property
End Class
